=== src/3rdParty/CMakeLists.txt ===
ADD_SUBDIRECTORY(Soundcloud)
ADD_SUBDIRECTORY(SomaFM)
