=== src/Components/CMakeLists.txt ===
project(say_comp)

add_subdirectory(Bookmarks)
add_subdirectory(Broadcasting)
add_subdirectory(Converter)
add_subdirectory(Covers)

if( NOT WIN32 OR NOT DEFINED WIN32 )
	add_subdirectory(DBus)
	add_subdirectory(Shutdown)
endif()

add_subdirectory(Directories)
add_subdirectory(Engine)
add_subdirectory(Library)
add_subdirectory(Lyrics)
add_subdirectory(MetaDataInfo)
add_subdirectory(Playlist)
add_subdirectory(PlaylistChooser)
add_subdirectory(PlayManager)
add_subdirectory(Preferences)
add_subdirectory(RemoteControl)
add_subdirectory(Session)
add_subdirectory(Streaming)
add_subdirectory(Tagging)
