=== src/Components/Converter/CMakeLists.txt ===
project(say_comp_converter)

file(GLOB_RECURSE SOURCES . *.cpp)

add_library(${PROJECT_NAME} STATIC ${SOURCES})
target_link_libraries(${PROJECT_NAME}
	say_comp_playlist
)
