=== debian/changelog ===
sayonara (1.4.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Disable dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2019 13:38:13 -0700

sayonara (1.4.1-0ppa1-bionic1) bionic; urgency=low

  * Language: Added ability to check for updates
  * Language: Fixed some runtime tranlation issues
  * Library: Genre View issue fixed
  * Library: Artist field in Cover view fixed
  * Streams: Remove jumping of time label

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 May 2019 22:04:26 +0200

sayonara (1.4.0-0ppa1-bionic1) bionic; urgency=low

  * Covers: Faster cover view
  * Covers: File searcher reactivated 
  * Covers: Save options
  * Importer: Zip support
  * Library: Show tracks w/o genre
  * Library: Column resize saved
  * Player: MPRIS revisited
  * Player: KDE Plasma fix 
  * Streams: Radio station search support
  * Raspberry: 32/64 bit issues fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 25 May 2019 12:26:27 +0200

sayonara (1.3.0-0ppa2-bionic1) bionic; urgency=low

  * Language update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 28 Apr 2019 15:17:24 +0200

sayonara (1.3.0-0ppa1-bionic1) bionic; urgency=low

  * rar support
  * Cover View: Significantly reduces memory consumption
  * Tags: Cover support for xiph headers
  * Tags: Comment section
  * Info Dialog: Layout update
  * Tag Editor: Segfault fixed
  * Audio Converter revisited
  * Audio Converter only for flac and wav files now 
  * Audio Converter use external tools from lame and vorbistools
  * Track View: Column widths
  * LastFM Login fixed
  * Info dialog: Bugfixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 28 Apr 2019 14:28:50 +0200

sayonara (1.1.1-0ppa4-bionic1) bionic; urgency=low

  * Genre selection: artist view fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Wed, 05 Sep 2018 22:17:01 +0200

sayonara (1.1.1-0ppa3-bionic1) bionic; urgency=low

  * Tray icon bug fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 30 Aug 2018 14:45:25 +0200

sayonara (1.1.1-0ppa2-bionic1) bionic; urgency=low

  * Czech and French language updates
  * Notify new version bugfix
  * Multi instance bugfix

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 28 Aug 2018 07:35:25 +0200

sayonara (1.1.1-0ppa1-bionic1) bionic; urgency=low

  * User Interface: Show a big cover and Rating
  * Cover View: Show artists
  * Cover View: Sort by artists
  * Cover View: Toolbar enhancements
  * Cover View: Caching
  * Covers: Enhanced cover search
  * Covers: Use more covers from audio files
  * Library: Deleting/Adding new libraries bugfixes
  * Library: Search mode fixes
  * Crossfader/Gapless playback accessibility
  * Shortcut for switching to album cover view
  * Shortcut for switching show album artists
  * Shortcut for showing/hiding the library
  * Playlist: Show Rating
  * Playlist: Show little covers
  * Playlist: Number, Title, Artist and Album customizable
  * Playlist Chooser bugfixes
  * Playlist View bugfixes
  * Tag Editor: Save/Load comments
  * Crossfader/Gapless Playback: Easier access through the playlist window
  * Stream Recorder: Automatic recording
  * Stream Recorder: More sophisticated path templates
  * Stream Recorder: Path templates fixed
  * Database: Encrypted passwords
  * Lyrics: Save/Load from Audio file
  * Languages: Use transifex.com for translations
  * Languages: Japanese and Arabic added
  * And a lot of bug fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:47:34 +0200

sayonara (1.1.0-0ppa1-bionic1) bionic; urgency=low

  * Cover Cache in DB
  * Ui Improvements

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:10:17 +0200

sayonara (1.0.0-0ppa6-bionic1) bionic; urgency=low

  * Stream recorder date fixes
  * Unity menubar workaround
  * Playlist format string (nr tag) fixed
  * Broadcasting progress (maybe not fixed entirely)
  * French language update
  * DBus fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 15 Jan 2018 01:43:16 +0100

sayonara (1.0.0-0ppa5-bionic1) bionic; urgency=low

  * Switch between Alsa and Pulseaudio
  * Unity menu fixes
  * Shortcuts for minimize and quit

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 12 Jan 2018 22:31:06 +0100

sayonara (1.0.0-0ppa4-bionic1) bionic; urgency=low

  * Turkish language support
  * Ape support

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 06 Jan 2018 12:36:15 +0100

sayonara (1.0.0-0ppa3-bionic1) bionic; urgency=low

  * Czech, russian and ukrainian language updates
  * compilation fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 05 Jan 2018 20:20:37 +0100

sayonara (1.0.0-0ppa2-bionic1) bionic; urgency=low

  * library view fixes
  * cover view crash removed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 31 Dec 2017 14:04:07 +0100

sayonara (1.0.0-0ppa1-bionic1) bionic; urgency=low

  * Covers: Choose between Google, Discogs and Last.fm covers
  * Cover view: Reload covers, zoom and sorting
  * Directories: Multiple library support
  * Directories: Move/Copy/Rename operations
  * Directories: Show Song info
  * Library: Multiple library support
  * Library: Removed date filter support
  * Library: "Clear selection" button
  * Library: Bugfix: Search modes immediatly updated
  * Look & Feel: Choose system icons
  * Look & Feel: Fast preference access
  * Lyrics: Lyric server updates
  * MTP: Removed MTP device support
  * Playback: Crossfader revisited
  * Playlists: Moved load/save to playlist tabs instead of plugin
  * Proxy: Added proxy support
  * Stream recorder: Custom paths
  * Streams/Podcast: Added preferences

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 30 Dec 2017 12:09:50 +0100

sayonara (0.9.3-0ppa5-bionic1) bionic; urgency=low

  * Ubuntu bionic package

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 05 Nov 2017 13:37:48 +0100

sayonara (0.9.3-0ppa4-bionic1) bionic; urgency=low

  * Language Update
  * Faster library cover view


