=== debian/control ===
Source: sayonara
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Lucio Carreras <luciocarreras@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libtag1-dev (>= 1.11),
               pkg-config,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://sayonara-player.com

Package: sayonara
Architecture: any
Depends: gstreamer1.0-plugins-ugly,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-good,
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: small and lightweight music player.
 Sayonara is a lightweight and fast music library manager and player.
 It has a lot of features like:
 - Many supported music and playlist formats
 - Media library with search function
 - Directory view
 - External device support
 - Genre organization
 - Playlist view organized by tabs
 - (Dynamic) playback
 - Equalizer
 - Metadata editor (including tags from path)
 - Lyrics
 - Shutdown function
 - MP3 Converter
 - Customizable spectrum analyzer and level meter
 - Last.FM radio and scrobbling
 - Soundcloud support
 - Internet streams
 - Stream recorder
 - Podcasts
 - Radio Broadcasting
 - Multimedia key support
 - Desktop integration (DBus Mpris2 compatible)
 - 2 skins
