=== debian/changelog ===
sayonara (1.6.0~beta6+ds-1) unstable; urgency=medium

  [ kokoye2007 ]
  * Initial release (Closes: #854408)

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Dec 2020 22:31:42 -0500
