## sayonara 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 option(WITH_DOC "Building with doxygen support" OFF)
 option(WITH_TESTS "Building with tests" OFF)
 option(WITH_COTIRE "Building with cotire PCH and compile time optimizations" OFF)
-option(WITH_SYSTEM_TAGLIB "Use the taglib provided by the destribution, which contains critical bugs in 1.11" OFF)
 option(LINK_GSTREAMER_PLUGINS "Link the most common GStreamer plugins into the binary. Used for the creation of AppImage files")
 option(WITH_CCACHE "Use CCache if available" OFF)
 
@@ -17,7 +16,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
-set(SAYONARA_VERSION "1.6.0-beta6")
+set(SAYONARA_VERSION "1.7.0-stable3")
 set(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
@@ -52,10 +51,11 @@
 set(CMAKE_INSTALL_MANIFEST "install_manifest.txt")
 
 # doxygen
-message ("Looking for doxygen")
-find_package(Doxygen)
 
 if (WITH_DOC)
+	message ("Looking for doxygen")
+	find_package(Doxygen)
+
 	if (DOXYGEN_FOUND)
 		message ("Doxygen found")
 		set(DOXYFILE_IN "${CMAKE_SOURCE_DIR}/docs/doxygen.in")
