=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(say_tests)
+project(sayonara-test)
 include("NewTest.cmake")
 include(${CMAKE_SOURCE_DIR}/src/CMake/Compiler.cmake)
 
@@ -45,34 +45,51 @@
 	${RESOURCES}
 )
 
-# With resources
+new_test(AudioConverter/AudioConverterTest.cpp)
+
 new_test(Covers/CoverLocationTest.cpp)
+new_test(Covers/CoverFetchManagerTest.cpp)
 
 new_test(Database/PodcastTest.cpp)
 new_test(Database/AlbumTest.cpp)
 new_test(Database/LibraryDatabaseTest.cpp)
+new_test(DynamicPlayback/ArtistMatchTest.cpp)
+
+new_test(Equalizer/EqualizerTest.cpp)
 
 new_test(Library/ImportCacheTest.cpp)
+new_test(Library/LibraryManagerTest.cpp)
 
 new_test(Playlist/PlaylistTest.cpp Playlist/PlaylistTestUtils.cpp)
 new_test(Playlist/PlaylistTrackModifyTest.cpp Playlist/PlaylistTestUtils.cpp)
+new_test(Playlist/PlaylistFileTest.cpp)
+new_test(Playlist/PlaylistHandlerTest.cpp)
 
 new_test(StreamRecorder/StreamRecorderTest.cpp)
 new_test(StreamRecorder/StreamRecorderUtilsTest.cpp)
 
 new_test(Tagging/AlbumArtistTest.cpp Tagging/AbstractTaggingTest.cpp)
+new_test(Tagging/CoverTest.cpp  Tagging/AbstractTaggingTest.cpp)
 new_test(Tagging/DiscnumberTest.cpp Tagging/AbstractTaggingTest.cpp)
 new_test(Tagging/EditorTest.cpp)
 new_test(Tagging/LyricsTest.cpp Tagging/AbstractTaggingTest.cpp)
 new_test(Tagging/RatingTest.cpp Tagging/AbstractTaggingTest.cpp)
 new_test(Tagging/TagFromPathTest.cpp)
+new_test(Tagging/TaggingTest.cpp Tagging/AbstractTaggingTest.cpp)
 
+new_test(Util/UtilTest.cpp)
+new_test(Util/AsyncWebAccessTest.cpp)
 new_test(Util/CryptTest.cpp)
 new_test(Util/FileHelperTest.cpp)
 new_test(Util/LanguageKeyTest.cpp)
 new_test(Util/LanguageUtilTest.cpp)
+new_test(Util/LibraryFilterTest.cpp)
 new_test(Util/MetaDataTest.cpp)
 new_test(Util/MetaDataListTest.cpp)
+new_test(Util/MimeDataTest.cpp  ${CMAKE_SOURCE_DIR}/src/Gui/Utils/MimeData/CustomMimeData.cpp)
+new_test(Util/PlaylistModeTest.cpp)
 new_test(Util/SettingsTest.cpp)
 new_test(Util/SetTest.cpp)
 new_test(Util/CissearchTest.cpp)
+new_test(Util/StandardPathTest.cpp)
+new_test(Util/TreeTest.cpp)
