## sayonara 1.7.0+git20210515

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
-set(SAYONARA_VERSION "1.7.0-stable3")
+set(SAYONARA_VERSION "1.7.0-stable1")
 set(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 set(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
