## sayonara 1.7.0-stable3

=== debian/changelog ===
sayonara (1.7.0-stable3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001-Reproducible-build.patch: Apply patch to
    make the package reproducible. (Closes: #977486).

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 17:53:01 -0400

sayonara (1.7.0-stable3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * debian/patches: Drop all patches, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 14:53:18 -0400

sayonara (1.6.0~beta6+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload. 
  * Source-only upload.
  * debian/control: Add Vcs-* fields.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Dec 2020 14:26:29 -0500
