=== debian/control ===
--- 
+++ 
@@ -24,6 +24,8 @@
  zlib1g-dev,
 Standards-Version: 4.5.1
 Homepage: http://sayonara-player.com
+Vcs-Git: https://salsa.debian.org/debian/sayonara.git
+Vcs-Browser: https://salsa.debian.org/debian/sayonara
 
 Package: sayonara
 Architecture: any
