=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/sayonara-player.*\.tar\.gz/sayonara-player-$1\.tar\.gz/g \
  https://gitlab.com/luciocarreras/sayonara-player/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
